TTTT Analysis 0.1

Public Member Functions | Protected Member Functions | List of all members
fv::ConstantValue< T > Class Template Reference

A Value which always returns the same value, supplied in the constructor. More...

`#include <value.hpp>`

Inheritance diagram for fv::ConstantValue< T >:
[legend]
Collaboration diagram for fv::ConstantValue< T >:
[legend]

## Public Member Functions
| ConstantValue (const std::string &name, T const_value, const std::string alias="")
Public Member Functions inherited from fv::DerivedValue< T >
| DerivedValue (const std::string &name, const std::string &alias="")
void | log ()
T & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< T >
| Value (const std::string &name, const std::string &alias="")
void | enable_logging (const std::function< std::string(T)> &value_to_string=[](T){return "";})
void | disable_logging ()

## Protected Member Functions
void | update_value ()
| Updates the internal value. More...

## Additional Inherited Members
Protected Attributes inherited from fv::DerivedValue< T >
T | value
Protected Attributes inherited from fv::Value< T >
std::function< std::string(T)> | value_to_string

## Detailed Description

### template<typename T>
class fv::ConstantValue< T >

A Value which always returns the same value, supplied in the constructor.

## Member Function Documentation

## ◆ update_value()

template<typename T >

void fv::ConstantValue< T >::update_value | ( |  | ) |
| inline protected virtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< T >.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp